{
  "name": "lidinghb",
  "version": "1.0.0",
  "author": "chuzhixin",
  "license": "Mozilla Public License Version 2.0",
  "private": true,
  "participants": [
    "fwfmiao"
  ],
  "homepage": "https://chu1204505056.gitee.io/vue-admin-beautiful-element-plus",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:prod": "vue-cli-service build && node ./built.js",
    "lint": "vue-cli-service lint",
    "clear": "npm cache clean -f&&rimraf node_modules&&npm install --registry=https://registry.npm.taobao.org",
    "use:npm": "nrm use npm",
    "update": "ncu -u --reject eslint,sass,sass-loader,compression-webpack-plugin,filemanager-webpack-plugin --registry https://registry.npm.taobao.org&&npm install --registry=https://registry.npm.taobao.org&&cnpm i image-webpack-loader -D",
    "use:taobao": "nrm use taobao",
    "deploy": "start ./deploy.sh"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/chuzhixin/vue-admin-beautiful-element-plus.git"
  },
  "externals": {
    "BMap": "BMap",
    "map": "map",
    "T": "T"
  },
  "dependencies": {
    "@ckeditor/ckeditor5-alignment": "^36.0.1",
    "@ckeditor/ckeditor5-build-classic": "^36.0.1",
    "@ckeditor/ckeditor5-font": "^36.0.1",
    "@ckeditor/ckeditor5-highlight": "^36.0.1",
    "@ckeditor/ckeditor5-image": "^36.0.1",
    "@ckeditor/ckeditor5-vue": "^4.0.1",
    "@element-plus/icons": "^0.0.11",
    "@tinymce/tinymce-vue": "^5.0.0",
    "@vue-office/docx": "^1.6.3",
    "@vue-office/excel": "^1.7.14",
    "@vue-office/pdf": "^2.0.10",
    "axios": "^0.21.1",
    "clipboard": "^2.0.8",
    "core-js": "^3.15.0",
    "dayjs": "^1.10.5",
    "echarts": "^5.4.0",
    "element-plus": "1.0.2-beta.48",
    "element-ui": "^2.15.9",
    "ezuikit-js": "^0.6.3",
    "image-webpack-loader": "^8.1.0",
    "js-cookie": "^3.0.0-rc.1",
    "jsencrypt": "^3.2.0",
    "lodash": "^4.17.21",
    "mockjs": "^1.1.0",
    "node-ssh": "^13.2.0",
    "nprogress": "^0.2.0",
    "qrcode": "^1.5.4",
    "qs": "^6.10.1",
    "quill-image-drop-module": "^1.0.3",
    "quill-image-resize-module": "^3.0.0",
    "remixicon": "^2.5.0",
    "screenfull": "^5.1.0",
    "tinymce": "^6.3.2",
    "vab-layouts": "^0.0.4",
    "vue": "^3.0.4",
    "vue-baidu-map": "^0.21.22",
    "vue-echarts": "^6.0.0-rc.6",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "^4.0.0-rc.6",
    "vue3-print-nb": "^0.1.4",
    "vuex": "^4.0.0-rc.2",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^4.5.13",
    "@vue/cli-plugin-eslint": "^4.5.13",
    "@vue/cli-plugin-router": "^4.5.13",
    "@vue/cli-plugin-vuex": "^4.5.13",
    "@vue/cli-service": "^4.5.13",
    "@vue/compiler-sfc": "^3.1.1",
    "@vue/eslint-config-prettier": "^6.0.0",
    "babel-eslint": "^11.0.0-beta.2",
    "crypto-js": "^4.1.1",
    "eslint": "^7.21.0",
    "eslint-plugin-prettier": "^3.4.0",
    "eslint-plugin-vue": "^7.11.1",
    "filemanager-webpack-plugin": "^4.0.0",
    "lint-staged": "^11.0.0",
    "prettier": "^2.3.1",
    "sass": "^1.56.2",
    "sass-loader": "^10.4.1",
    "stylelint": "^13.13.1",
    "stylelint-config-prettier": "^8.0.2",
    "stylelint-config-recess-order": "^2.4.0",
    "svg-sprite-loader": "^6.0.8",
    "vab-config": "^0.0.8",
    "vue-loader": "^15.10.0",
    "vue-loader-v16": "^16.0.0-beta.5.4",
    "webpackbar": "^5.0.2-3"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue}": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
